import { n as h } from "./static-be5c3b1c.mjs";
import { e as f } from "./custom-element-eaccb8d2.mjs";
import { P as p, r as u, n as d } from "./plus-base-1920dd44.mjs";
import { s as c } from "./index-975d3293.mjs";
const y = c({
  slots: {
    base: ["block border-0   border-color-default"]
  },
  variants: {
    kind: {
      default: "border-solid",
      dashed: "border-dashed"
    },
    type: {
      vertical: " h-full w-2 border-l",
      horizontal: "h-2 w-full border-t"
    }
  },
  defaultVariants: {
    kind: "default",
    type: "horizontal"
  }
}), v = `:host{display:block;position:relative;width:100%;height:1px}:host([type="vertical"]){width:1px;height:auto}
`;
var b = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (s, e, r, i) => {
  for (var t = i > 1 ? void 0 : i ? m(e, r) : e, l = s.length - 1, n; l >= 0; l--)
    (n = s[l]) && (t = (i ? n(e, r, t) : n(t)) || t);
  return i && t && b(e, r, t), t;
};
let o = class extends p {
  constructor() {
    super(...arguments), this.kind = "default", this.type = "horizontal";
  }
  render() {
    const { kind: s, type: e } = this, { base: r } = y({ kind: s, type: e });
    return h`<hr class="${r()}" />`;
  }
};
o.styles = [...p.styles, u(v)];
a([
  d({ type: String })
], o.prototype, "kind", 2);
a([
  d({ type: String })
], o.prototype, "type", 2);
o = a([
  f("plus-divider")
], o);
export {
  o as DividerComponent
};
